
/******************************************************************************
 * This file is part of the Gluon project
 * Copyright (C) year  name of author
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 */



#ifndef CENTRESELECTOR_H
#define CENTRESELECTOR_H

#include <QWidget>
#include <QLineEdit>
#include <QTreeWidget>
#include <QTreeWidgetItem>
#include <QSqlDatabase>
#include <QSqlQueryModel>
#include <QToolButton>
#include <QAction>
class CentreSelector : public QWidget
{
    Q_OBJECT
public:
    explicit CentreSelector(QWidget *parent = 0);
    QTreeWidget * treeWidget()
    {
        return mTreeWidget;
    }
    int currentModelId(){
        return mCurrentModelId;
    }

public slots:
      void loadCentre();
      QTreeWidgetItem * itemSelected();
void setSelected(int centreId);

private slots:
    void filter(const QString& text);

    void itemClicked(QModelIndex index);
signals:
    void modelIdChange(int id);
private:
    QLineEdit * mLineEdit;
    QTreeWidget * mTreeWidget;
    QToolButton * mOrderButton;
    QAction * mActionOrderByProtocole;
    QAction * mActionOrderByEtablissement;
    QAction * mActionOrderByReseau;
    int mCurrentModelId;
};

#endif // CENTRESELECTOR_H
